import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_jellyfin_running_and_enabled(host):
    jellyfin = host.service("jellyfin")
    assert jellyfin.is_running
    assert jellyfin.is_enabled


def test_jellyfin_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://0.0.0.0:8096").is_listening
